Otellər
Cancel a booking under its cancellation policy.
post/v1/hotels/bookings/{bookingId}/cancel
- Autentifikasiya tələb olunur
- Idempotency-Key tələb olunur
Parametrlər
| Ad | Yer | Tip | Təsvir |
|---|---|---|---|
| bookingId* | yol | string |
Cavablar
200OKHotelBooking
- bookingIdstring
- bookingReferencestringnull ola bilər
- statusstring
confirmed | pending | cancelled | unknown.
- hotelCodestringnull ola bilər
- hotelNamestringnull ola bilər
- cityNamestringnull ola bilər
- roomTypestringnull ola bilər
- checkInstringnull ola bilər
- checkOutstringnull ola bilər
- Money
Money on the wire: decimal string (never a float) + ISO 4217.
- amountstring
- currencystring
- refundablebooleannull ola bilər
- priceChangedboolean
- HolderInfo
- firstNamestring
- lastNamestring
- emailstring
- phonestring
- BookingRoom[]
- Guest[]
- specialRequestsstringnull ola bilər
- confirmedAtstring (date-time)null ola bilər
Kod nümunələri
Sorğunu şlüzün yoxladığı qaydada imzalayan tam proqramlar. YOUR_KEY_ID və YOUR_SECRET dəyərlərini əvəz edin.
# Sign the request: METHOD \n path+query \n unix time \n nonce \n sha256(body)
KEY_ID="YOUR_KEY_ID"
SECRET="YOUR_SECRET"
BODY=''
TS=$(date +%s)
NONCE=$(openssl rand -hex 16)
BODY_HASH=$(printf '%s' "$BODY" | openssl dgst -sha256 | sed 's/^.* //')
CANON=$(printf 'POST\n/v1/hotels/bookings/b216bGJ5bG1BMURGMVFadERnPT0/cancel\n%s\n%s\n%s' "$TS" "$NONCE" "$BODY_HASH")
SIG=$(printf '%s' "$CANON" | openssl dgst -sha256 -hmac "$SECRET" | sed 's/^.* //')
curl -X POST "https://api.dubaitrip.com/v1/hotels/bookings/b216bGJ5bG1BMURGMVFadERnPT0/cancel" \
-H "X-API-Key: $KEY_ID" \
-H "X-Timestamp: $TS" \
-H "X-Nonce: $NONCE" \
-H "X-Signature: $SIG" \
-H "Idempotency-Key: $(uuidgen)" \
-H "Accept: application/json"